Skip to main content
GET
/
b2b
/
users
/
{user}
Get User
curl --request GET \
  --url https://nexus.kraken.com/b2b/users/{user} \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "user": "<string>",
    "user_type": "individual",
    "status": {
      "state": "ok",
      "required_actions": [
        {
          "action_type": "verification",
          "verification_type": "identity",
          "reasons": [
            "initial_onboarding"
          ],
          "deadline": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "created_at": "2023-11-07T05:31:56Z",
    "external_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

user
string
required

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Response

Response

result
object